/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';

.statementPill {
  display: flex;
  column-gap: 2rem;
  align-items: center;

  &__label {
    width: 3.75rem;
    @include primary-text(0.75rem, $coa-dark-gray-100, 400);
  }

  &__bar {
    height: 0.6875rem;
    background: var(--barColor);
    width: var(--barPercentage);
    -webkit-border-radius: 17px;
    -moz-border-radius: 17px;
    -ms-border-radius: 17px;
    -o-border-radius: 17px;
    border-radius: 17px;
    position: relative;
    overflow: hidden;
  }
  &__amount {
    @include primary-text(0.75rem, var(--barColor, $coa-dark-gray-100), 700);
  }
}
